Bug 846322 - Guide models duplicates the code of the ListModel
Guide models duplicates the code of the ListModel
Product: oVirt
Classification: Community
Component: ovirt-engine-webadmin (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.5.0
Assigned To: Einav Cohen
: CodeChange, Triaged
Depends On:
  Show dependency treegraph
Reported: 2012-08-07 09:15 EDT by Alona Kaplan
Modified: 2016-02-10 14:46 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-06-16 11:33:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alona Kaplan 2012-08-07 09:15:27 EDT
Description of problem:
Guide model duplicates the code of the list model.
For example- VmGuide model has code for addNetwork, this code is very similar to the code of new networks in the VmInterfaceListModel (both of the models have the same presenter and view).
If we want to add or to fix something is the add dialog, and the fix has to be done in the model ,the same fix has to be done twice. And in most of the cases the Guide model is forgotten.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Itamar Heim 2013-02-10 01:55:08 EST
still relevant?
Comment 2 vszocs 2013-12-09 09:28:48 EST
Yes, this is still relevant.

The general problem is code duplication throughout UiCommon code (across different model classes). This is unrelated to GWT(P) application infra code, which simply binds/delegates to UiCommon code.

Not sure if this is UX-related, though. Ideally, different people from different groups should dedicate some effort to analyze possible code duplications and fix them for their domain of responsibility.

We can also consider running some Java code duplication detector tool.
Comment 3 Itamar Heim 2014-01-12 03:42:04 EST
setting target release to current version for consideration and review. please do not push non-RFE bugs to an undefined target release to make sure bugs are reviewed for relevancy, fix, closure, etc.
Comment 4 Itamar Heim 2014-06-16 11:33:22 EDT
Closing old bugs. If this issue is still relevant/important in current version, please re-open the bug.

Note You need to log in before you can comment on or make changes to this bug.